Page MenuHomePhabricator

Wikipedia portal dashboard: drop in pageviews seems a bit odd
Closed, ResolvedPublic

Description

There is a few weird issues (maybe) going on with the Portal dashboard. Pageviews seem to suddenly drop around May 28, 2017 and so do the clickthroughs. Can we check into this?

Event Timeline

debt created this task.Jun 13 2017, 6:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2017, 6:42 PM

Pageviews of English Wikipedia and pageviews of enwiki's main page decreased in the past two weeks:


And we saw a decrease in ruwiki and eswiki as well:

We think this may be a seasonal change.

Clickthroughs start to drop around June 5. We didn't see a CTR drop in countries with more traffic (http://discovery.wmflabs.org/portal/#all_country):


And the proportion of traffic from other countries increase (http://discovery.wmflabs.org/portal/#country_breakdown):

Since countries with more traffic have a higher CTR and the traffic from them went down in the past two weeks, the overall CTR decreases.

Ok, thanks for checking, @chelsyx, I wanted to be sure a bug hadn't been introduced somewhere. :)

FWIW, I regularly track total pageviews (all projects, total/desktop/mobile) in a year-over-year comparison that gives some sense of seasonality. Indeed it seems that traffic is generally always decreasing during May and June, although that may not be the whole explanation for sudden drops in that timespan.

debt closed this task as Resolved.Jun 16 2017, 5:39 PM